LOCAL_PATH := $(call my-dir)

#
# Fairphone launcher quickstepbuild rule
#
include $(CLEAR_VARS)

# Relative path for Launcher3 directory
LAUNCHER_PATH := ../../../../packages/apps/Launcher3

LOCAL_USE_AAPT2 := true
LOCAL_AAPT2_ONLY := true
LOCAL_MODULE_TAGS := optional

LOCAL_STATIC_JAVA_LIBRARIES := SystemUISharedLib launcherprotosnano
ifneq (,$(wildcard frameworks/base))
  LOCAL_PRIVATE_PLATFORM_APIS := true
else
  LOCAL_SDK_VERSION := system_current
  LOCAL_MIN_SDK_VERSION := 26
endif
LOCAL_PRIVILEGED_MODULE := true
LOCAL_STATIC_ANDROID_LIBRARIES := \
	Launcher3CommonDepsLib \
	SecondaryDisplayLauncherLib

LOCAL_SRC_FILES := \
	$(call all-java-files-under, $(LAUNCHER_PATH)/src) \
	$(call all-java-files-under, $(LAUNCHER_PATH)/quickstep/src) \
	$(call all-java-files-under, $(LAUNCHER_PATH)/quickstep/recents_ui_overrides/src) \
	$(call all-java-files-under, $(LAUNCHER_PATH)/src_shortcuts_overrides) \
	$(call all-java-files-under, src) \
	$(call all-java-files-under, quickstep/src)

LOCAL_RESOURCE_DIR := \
	$(LOCAL_PATH)/res \
	$(LOCAL_PATH)/$(LAUNCHER_PATH)/quickstep/res \
	$(LOCAL_PATH)/$(LAUNCHER_PATH)/quickstep/recents_ui_overrides/res
LOCAL_PROGUARD_ENABLED := disabled

LOCAL_PACKAGE_NAME := FairphoneLauncher3QuickStep
LOCAL_PRODUCT_MODULE := true
LOCAL_OVERRIDES_PACKAGES := Home Launcher2 Launcher3 Launcher3QuickStep
LOCAL_REQUIRED_MODULES := privapp_whitelist_com.android.launcher3
LOCAL_FULL_LIBS_MANIFEST_FILES := \
	$(LOCAL_PATH)/$(LAUNCHER_PATH)/AndroidManifest-common.xml \
	$(LOCAL_PATH)/$(LAUNCHER_PATH)/quickstep/AndroidManifest.xml

LOCAL_CERTIFICATE := platform
LOCAL_JACK_COVERAGE_INCLUDE_FILTER := com.android.launcher3.*

include $(BUILD_PACKAGE)
